/* $Id: board.h,v 1.3 1997/02/23 19:38:33 sverrehu Exp $ */
#ifndef BOARD_H
#define BOARD_H

#include <shhcards.h>

#include "pile.h"
#include "card.h"

#define CARD_SEP_X 10
#define CARD_SEP_Y 10
#define CARD_SHOW_X (CARD_WIDTH / 5)
#define CARD_SHOW_Y (CARD_HEIGHT / 6)

#define BOARD_BACKGROUND_COLOR "dark olive green"

void boardInit(void);
void boardFinish(void);
void boardInitGame(void);
void boardFinishGame(void);
void boardHandleEvent(XEvent *evt);
void boardHandlePopupEvent(XEvent *evt);
void boardDrawPile(Pile *p, int popup);
void boardUpdatePileCache(Pile *p);
void boardStartDragCardAndAbove(Card *c);
void boardStopDrag(void);
void boardShowText(const char *s);

extern Window  boardWin;
extern Window  boardPopup;
extern int     boardWidth, boardHeight;
extern int     boardCardBackground;

#endif
