/* $Id: game.h,v 1.2 1997/02/23 19:38:33 sverrehu Exp $ */
#ifndef GAME_H
#define GAME_H

#include <time.h>

#include "card.h"
#include "pile.h"

#define RANDOM(x) (random() % (x))
#define RANDOMIZE(x) (srandom((unsigned) (x)))

#define NUM_CARDS 52
#define NUM_PILES 13

void gameInit(void);
void gameFinish(void);
void gameInitGame(void);
void gameFinishGame(void);
void gameDrawNext(void);
int  gameFindPileNumOfPile(Pile *p);
int  gameFindPileNumOfCard(Card *c);
void gameHandleSingleClick(Card *c);
void gameHandleDoubleClick(Card *c);
Pile *gameCardDropped(Pile *from, Pile *drop, int intersect[], int n);
void gameCheckIfSolution(void);
void gameUpdateTime(void);
void gameStartTiming(void);
char *gameCountToStr(int n);
void gameTimeToHMS(time_t t, int *h, int *m, int *s);
char *gameTimeToStr(time_t t);
char *gameTimeToVerboseStr(time_t t);

extern int gameRunning;
extern int gameExit;
extern int gameNumCardsToDraw;
extern int gameIncludeInHighscoreList;
extern int gameDoTiming;
extern Card *card[];
extern Pile *pile[];
extern time_t gameStartTime;
extern time_t gameTime;
extern int gameNumPlayed;
extern int gameNumSolved;
extern time_t gameTotalTime;

#endif
