/* $Id: readme.c,v 1.3 2002/03/02 21:02:21 sverrehu Exp $ */
/**************************************************************************
 *
 *  FILE            readme.c
 *  MODULE OF       Card game.
 *
 *  DESCRIPTION     REAME file viewer.
 *
 *  WRITTEN BY      Sverre H. Huseby <shh@thathost.com>
 *
 **************************************************************************/

#include <stdlib.h>

#include <X11/Xlib.h>
#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>
#include <X11/Shell.h>
#include <X11/Xaw/Command.h>
#include <X11/Xaw/AsciiText.h>
#include <X11/Xaw/Form.h>

#include "win.h"
#include "readme.h"

/**************************************************************************
 *                                                                        *
 *                       P R I V A T E    D A T A                         *
 *                                                                        *
 **************************************************************************/

static Widget readmeWidget, readmeParent, textWidget;
static int isPoppedUp = 0;
#include "readme.var"



/**************************************************************************
 *                                                                        *
 *                   P R I V A T E    F U N C T I O N S                   *
 *                                                                        *
 **************************************************************************/

static void
callbackOk(Widget w, XtPointer clientData, XtPointer callData)
{
    XtPopdown(readmeWidget);
    XtSetSensitive(readmeButton, 1);
    isPoppedUp = 0;
}



/**************************************************************************
 *                                                                        *
 *                    P U B L I C    F U N C T I O N S                    *
 *                                                                        *
 **************************************************************************/

void
readmeInit(Widget parent)
{
    Widget form, button;

    readmeParent = parent;
    readmeWidget
	= XtVaCreatePopupShell("readmeWindow",
			       topLevelShellWidgetClass, parent,
			       XtNtitle, "Sol Help",
			       XtNallowShellResize, 1,
			       NULL);
    form
	= XtVaCreateManagedWidget("readmeFrom",
				  formWidgetClass, readmeWidget,
				  NULL);
    textWidget
	= XtVaCreateManagedWidget("readme",
				  asciiTextWidgetClass, form,
				  XtNwidth, 66,
				  XtNheight, 25 * 10 + 4,
				  XtNdisplayCaret, 0,
				  XtNscrollVertical, XawtextScrollWhenNeeded,
				  XtNresizable, 1,
				  XtNresize, XawtextResizeWidth,
				  NULL);
    button
	= XtVaCreateManagedWidget("ok",
				  commandWidgetClass, form,
				  XtNlabel, "It's all clear to me now.",
				  XtNfromVert, textWidget,
				  NULL);
    XtAddCallback(button, XtNcallback, callbackOk, 0);
}

void
readmeFinish(void)
{
}

void
readmePopup(void)
{
    if (isPoppedUp)
	return;
    XtSetSensitive(readmeButton, 0);
    isPoppedUp = 1;

    XtVaSetValues(textWidget, XtNstring, readmeText, NULL);
    XtPopup(readmeWidget, XtGrabNone);
}
